ChangeSet 1.1595.7.5, 2003/07/30 12:37:29-07:00, greg@kroah.com

USB: fix bug if open() fails in usb-serial device.


 drivers/usb/serial/usb-serial.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/drivers/usb/serial/usb-serial.c b/drivers/usb/serial/usb-serial.c
--- a/drivers/usb/serial/usb-serial.c	Fri Aug  1 10:55:52 2003
+++ b/drivers/usb/serial/usb-serial.c	Fri Aug  1 10:55:52 2003
@@ -489,6 +489,7 @@
 		if (retval) {
 			port->open_count = 0;
 			module_put(serial->type->owner);
+			kobject_put(&serial->kobj);
 		}
 	}
 bailout:
